> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sagepilot.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer notes

> List notes for a customer.

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "notes": [
      {
        "id": "54b9f80f-e4b4-47b5-9b41-132bc13e6f3f",
        "customer_id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
        "note": "new note",
        "role": "agent",
        "agent_id": "818568b8-71ad-47e7-a73d-84a4cb5d6fd1",
        "created_at": "2026-05-29T17:26:57.482363Z",
        "updated_at": "2026-05-29T17:26:57.482363Z"
      }
    ]
  }
  ```
</ResponseExample>

Get notes for a customer.

## Required access

| Authentication                                               | Scope            | Dataset grant |
| ------------------------------------------------------------ | ---------------- | ------------- |
| [API client v2](/api-reference/authentication/api-client-v2) | `customers:read` | `customers`   |

## Body

<ParamField body="customerId" type="string" required>
  Customer UUID to fetch notes for. Open a customer in the Customer module and use the last UUID in the URL: `/dashboard/[workspace_id]/customers/[customer_id]`. See [Resource IDs](/api-reference/authentication/api-client-v2#resource-ids).
</ParamField>

<ParamField body="includeLinkedContacts" type="boolean" default="false">
  Include notes from linked contacts.
</ParamField>

## Query parameters

<ParamField query="page" type="integer" default="1">
  Page number.
</ParamField>

<ParamField query="page_size" type="integer" default="20">
  Records per page. Maximum value is `200`.
</ParamField>

## Response

<ResponseField name="success" type="boolean" required>
  Whether the request succeeded.
</ResponseField>

<ResponseField name="notes" type="object[]" required>
  Customer notes.
</ResponseField>
